%define module smbc
%define oname py%{module}
%define py3dir %{_builddir}/python3-%{name}-%{version}-%{release}

Summary:	Python bindings for the libsmbclient API from Samba

Name:		python-%{module}
Version:	1.0.13
Release:	3
Group:		Development/Python
License:	BSD
Url:		http://cyberelk.net/tim/data/pysmbc/
Source0:	http://cyberelk.net/tim/data/pysmbc/pysmbc-%{version}.tar.bz2
Patch0:		pysmbc-1.0.13-samba4.patch
BuildRequires:	pkgconfig(smbclient)
BuildRequires:  python-devel python3-devel

%description
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

%package -n python3-smbc
Summary:       Python3 bindings for libsmbclient API from Samba
Group:         Development/Python

%description -n python3-smbc
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

This is a ported release for python 3

%prep
%setup -qn %{oname}-%{version}
%apply_patches

rm -rf %{py3dir}
mkdir -p %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
chmod 755 %{buildroot}%{python3_sitearch}/smbc*.so
popd

%files
%{py_platsitedir}/*.egg-info
%{py_platsitedir}/smbc.so

%files -n python3-smbc
%{py3_platsitedir}/smbc.cpython-3*.so
%{py3_platsitedir}/pysmbc*.egg-info

%changelog
* Fri Jul 04 2014 Tigro <ashejn@gmail.com> 1.0.13-3
+ Revision: cdfcd56
- fix build with samba4 and build with python3 support


